MWPSK running with ASP.NET 4.0 in Medium Trust mode

Topics: Developer Forum
Jun 27, 2010 at 11:27 AM

MWPSK does not run with ASP.NET 4.0 in medium trust mode ?

Jun 28, 2010 at 4:13 AM

It does indeed.

If you are getting an error then it is best you publish it so that the community can help you.

Some steps to check (assuming that this is hosted with your privileges being a Maximum of Medium Trust)

  1. Ensure that IIS has Read/Write permissions for the App_Data folder.
  2. Ensure that IIS is at least version 6 (IIS6) IIS7 is recommended.
  3. Check your hosting control panel to see if .Net 4.0 is enabled, Normally this will be pre-set at .Net 2.0 or .Net 3.0 and some hosters are still slack at getting updated.
  4. Check every project in your solution and ensure that it Targets .Net 4.0 as I have found with some of my compiled assembly's still targeting .Net 3.5 or even .Net 3.0, if .Net 3.0/3.5 is not installed I get some very interesting behaviour and have had to update these assembly's to target .Net 4.0

If the above is no good then please post your full error and set-up configuration (example IIS6 on Windows Server 2003 with '.Net 2.0' and '.Net 4.0 Extended' and so on)

If you do get this working in the mean time please do post your steps on how you corrected this issue to better help others :-)